HttpMessageReceiver.HttpWorker (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.http.HttpMessageReceiver.HttpWorker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.http
Class HttpMessageReceiver.HttpWorker

    java.lang.Object
      org.mule.transport.http.HttpMessageReceiver.HttpWorker

All Implemented Interfaces:
  Runnable, javax.resource.spi.work.Work, Expirable

Enclosing class:
  HttpMessageReceiver

    protected class HttpMessageReceiver.HttpWorker

extends Object
implements javax.resource.spi.work.Work, Expirable

Constructor Summary
`HttpMessageReceiver.HttpWorker(Socket socket)`

Method Summary
`protected HttpResponse` | `buildFailureResponse(RequestLine requestLine, MuleMessage message)`
`protected MessageAdapter` | `buildStandardAdapter(HttpRequest request, Map headers)`
`protected HttpResponse` | `doBad(RequestLine requestLine)`
`protected HttpResponse` | `doOtherValid(RequestLine requestLine, String method)`
`protected HttpResponse` | `doRequest(HttpRequest request, RequestLine requestLine)`
`void` | `expired()`
`protected Map` | `parseHeaders(HttpRequest request)`
`protected void` | `preRouteMessage(MuleMessage message)`
`protected HttpResponse` | `processRequest(HttpRequest request)`
`void` | `release()`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpMessageReceiver.HttpWorker

    public HttpMessageReceiver.HttpWorker(Socket socket)
                                   throws IOException

Throws:
  `IOException`

Method Detail

### expired

    public void expired()

  Specified by:
    `expired` in interface `Expirable`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### processRequest

    protected HttpResponse processRequest(HttpRequest request)
                                   throws MuleException,
                                          IOException

  Throws:
    `MuleException`
    `IOException`

### doRequest

    protected HttpResponse doRequest(HttpRequest request,
                                     RequestLine requestLine)
                              throws IOException,
                                     MuleException

  Throws:
    `IOException`
    `MuleException`

### doOtherValid

    protected HttpResponse doOtherValid(RequestLine requestLine,
                                        String method)
                                 throws MuleException

  Throws:
    `MuleException`

### doBad

    protected HttpResponse doBad(RequestLine requestLine)
                          throws MuleException

  Throws:
    `MuleException`

### buildStandardAdapter

    protected MessageAdapter buildStandardAdapter(HttpRequest request,
                                                  Map headers)
                                           throws MessagingException,
                                                  TransformerException,
                                                  IOException

  Throws:
    `MessagingException`
    `TransformerException`
    `IOException`

### buildFailureResponse

    protected HttpResponse buildFailureResponse(RequestLine requestLine,
                                                MuleMessage message)
                                         throws TransformerException

  Throws:
    `TransformerException`

### parseHeaders

    protected Map parseHeaders(HttpRequest request)
                        throws MalformedCookieException

  Throws:
    `MalformedCookieException`

### preRouteMessage

    protected void preRouteMessage(MuleMessage message)

### release

    public void release()

  Specified by:
    `release` in interface `javax.resource.spi.work.Work`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.